Doom64 Absolution uncaught exception
2018-09-10 12:44 - 3DMaster
Priority: Normal % Done: 0%
Assignee:

Category:

Target version: Modding

Description

| downloaded Absolution, got an executable and .wad file, put them in a folder, tried selecting the folder as an iwad folder as well as
an add-on folder.

Add-on folder does nothing.

If | pick it as an iwad folder though, the moment | close the data folder settings, and Doomsday tries to access the folder Doomsday
crashes with the following error: 3094s45w4i1k.jpg

Restarting Doomsday won't produce the same crash upon startup, but it doesn't find Absolution either.

History

#1 - 2018-09-10 17:28 - 3DMaster

So it seems to be more than just Doom64 Absolution, | half suspect it is every single time you add an iWad folder, how do | suspect this:

1. 1 came across another Doom64 Absolution wad apparently made for Doomsday, after copying it into the Doom64 Absolution folder, Doomsday now
recognizes Doom64, and it is set to the default Doom64 Absolution under "other games" showing a nice icon, and | can play it.

2. A Freedoom.wad came with a Brutal Doom download, and | noticed FreeDoom phase 1 and 2 under the Doom64 Absolution entry. So | copied
FreeDoom.wad to its own FreeDoom folder, and added that folder to the iWad folders; boom same crash as Doom64 Absolution.

3. Going to the FreeDoom website itself | noticed them talking about phase 1 and 2 as in Doomsday Engine, so | downloaded their zip file and it
contained freedoom1.wad and freedoom2.wad. Figuring that it may have something to do with a bad .wad file, | removed freedoom.wad and the
original absolution wad from their respective folders, removed the folders from the iwad options, and then added the iwad folders again, and nope, still
that same crash.

4. Unlike Absolution though, Freedoom phase 1 and 2 are still not auto-recognized by Doomsday Engine.

So, it seems then that adding an iwad folder and clicking close equals this crash regardless of what's in it.

#2 - 2018-11-05 08:48 - skyjake

- Target version set to Modding

Files

DoomsdayException.jpg 98.2 KB 2018-09-10 3DMaster
